Bug 1311877 - Asterisks in provisioning templates subject to shell-expansion
Asterisks in provisioning templates subject to shell-expansion
Status: VERIFIED
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Provisioning Templates (Show other bugs)
6.1.7
Unspecified Unspecified
unspecified Severity high (vote)
: GA
: --
Assigned To: Tomas Strachota
Peter Ondrejka
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-25 04:20 EST by David Juran
Modified: 2017-08-31 04:34 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Juran 2016-02-25 04:20:10 EST
Description of problem:
There are several occurrences in the provisioning templates and snippets on the satellite where asterisks are used. One example is in the subscription_manager_registration snippet where the following line is executed

subscription-manager repos --enable rhel-*-satellite-tools-*-rpms

This is subject to shell-expansion, i.e. if a file matching the pattern above would exist for one reasons or another, the asterisks would be expanded and the provisioning would fail with a very hard-to-debug reason.

To make the line safe, the asterisks could e.g. be protected by backslash characters

Version-Release number of selected component (if applicable):
Satellite-6.1.7
Comment 1 Alexander Rydekull 2016-02-25 05:25:49 EST
I fully agree with David, and it is a simple fix:
subscription-manager repos --enable='rhel-*-satellite-tools-*-rpms'

Good catch David :-)
Comment 2 Bryan Kearney 2016-07-26 15:03:30 EDT
Moving 6.2 bugs out to sat-backlog.
Comment 7 Peter Ondrejka 2017-08-31 04:34:03 EDT
Verified in Sat 6.3 snap 13

Note You need to log in before you can comment on or make changes to this bug.